- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Ogre::HardwareBufferManager::VertexBufferLicense Class Reference

Struct holding details of a license to use a temporary shared buffer. More...

`#include <OgreHardwareBufferManager.h>`

List of all members.

## Public Member Functions
| VertexBufferLicense (HardwareVertexBuffer *orig, BufferLicenseType ltype, size_t delay, HardwareVertexBufferSharedPtr buf, HardwareBufferLicensee *lic)
## Public Attributes
HardwareVertexBuffer * | originalBufferPtr
BufferLicenseType | licenseType
size_t | expiredDelay
HardwareVertexBufferSharedPtr | buffer
HardwareBufferLicensee * | licensee

## Detailed Description

Struct holding details of a license to use a temporary shared buffer.

Definition at line 149 of file OgreHardwareBufferManager.h.

## Constructor & Destructor Documentation

Ogre::HardwareBufferManager::VertexBufferLicense::VertexBufferLicense | ( | HardwareVertexBuffer * | orig,
|  | BufferLicenseType | ltype,
|  | size_t | delay,
|  | HardwareVertexBufferSharedPtr | buf,
|  | HardwareBufferLicensee * | lic |
| ) |  |  |

Definition at line 157 of file OgreHardwareBufferManager.h.

## Member Data Documentation

HardwareVertexBuffer* Ogre::HardwareBufferManager::VertexBufferLicense::originalBufferPtr

Definition at line 152 of file OgreHardwareBufferManager.h.

BufferLicenseType Ogre::HardwareBufferManager::VertexBufferLicense::licenseType

Definition at line 153 of file OgreHardwareBufferManager.h.

size_t Ogre::HardwareBufferManager::VertexBufferLicense::expiredDelay

Definition at line 154 of file OgreHardwareBufferManager.h.

HardwareVertexBufferSharedPtr Ogre::HardwareBufferManager::VertexBufferLicense::buffer

Definition at line 155 of file OgreHardwareBufferManager.h.

HardwareBufferLicensee* Ogre::HardwareBufferManager::VertexBufferLicense::licensee

Definition at line 156 of file OgreHardwareBufferManager.h.

The documentation for this class was generated from the following file:

- OgreHardwareBufferManager.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Mon Jun 16 12:49:55 2008